Subject: bug#75590: ports.test: "SEEK_DATA while in hole" fails on some hosts

From: Ludovic Courtès <[email-masked]>
Date: Fri, 28 Feb 2025 21:20:01 +0100

Hi Rob,

Rob Browning <[email-masked]> skribis:

> +(define (skip-unless-fs-handles-holes-as-expected)
> +  ;; For now only allow filesystems that should have the seek hole/data
> +  ;; semantics the tests expect.  Filesystems vary both in how they
> +  ;; handle sparseness in general (e.g. granularity), how they handle
> +  ;; SEEK_DATA and SEEK_HOLE (see lseek(2) for some related info), and
> +  ;; even how quickly they reflect changes.  du's output, for example,
> +  ;; may not immediately reflect sparseness changes (previously observed
> +  ;; on btrfs and zfs).
> +  (let* ((p (open-input-pipe "debian/bin/path-fs ."))
> +         (fs (read-all p)))

What does ‘path-fs’ do?  How can we adapt it for use in the test suite?

Thanks for investigating!

Ludo’.